Subject: Offline Message from Fatimah Alyousef: I canceled my order two weeks ago and
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 16 Jul 2020 11:45:03 -0000

From: Fatimah Alyousef <[email-masked]>
Phone: 
Location: Sayhat, Saudi Arabia
URL: https://www.mumzworld.com/
Department: 

I canceled my order two weeks ago and they told me it will take 5 to 7 days to return my money back. However I don’t get my money back until now . This is my order number 100151429 and this is the incident number:1165298

----
Zopim
https://www.zopim.com